//File: Reth.xs
//By Retherichus
//This is where you'll find the basic support for Chinese AI.
//Most of this is Copy Paste from my other mod, AoModAI.
//So, yeah - it should work!
extern bool NoMY = false;
extern int KOTHTransportPlan = -1;
extern int KOTHTHomeTransportPlan = -1;
extern int SendBackCount = 0;
extern bool KoTHOkNow = false;
extern bool DestroyTransportPlan = false;  
extern bool DestroyHTransportPlan = false;
extern bool DestroyKOTHLandPlan = false;
extern bool KOTHStopRefill = false;
extern vector KOTHGlobal = cInvalidVector;
extern int gDefendPlentyVault = -1;
extern int gDefendPlentyVaultWater=-1;
// STARTUP SCRIPT & Ages etc

//==============================================================================
// RULE ActivateRethOverridesAge 1-4
//==============================================================================
rule ActivateRethOverridesAge1
   minInterval 1
   active
   runImmediately
{
	   if (cMyCulture == cCultureChinese)
	   {
	   if (cRandomMapName == "vinlandsaga" || cRandomMapName == "team migration")
	   {
	   int areaID=kbAreaGetClosetArea(kbBaseGetLocation(cMyID, kbBaseGetMainID(cMyID)), cAreaTypeWater);
	   aiUnitCreateCheat(cMyID, cUnitTypeTransportShipChinese, kbAreaGetCenter(areaID), "Spawn missing boat", 1);
	   xsEnableRule("StartingBoatFailsafe");
	   }
		
		xsDisableSelf();
           
    }
}

void initRethlAge2(void)
{
	// The Greeks are working as intended, so we're skipping that.
	
    if (cMyCiv == cCivIsis)
    {   	
	xsEnableRule("getFloodOfTheNile");
    }
    if (cMyCiv == cCivRa)		
	{	 
	xsEnableRule("getSkinOfTheRhino");
    }    
	if (cMyCiv == cCivSet)
    {	
	xsEnableRule("getFeral");
    }
	if (cMyCiv == cCivThor)
    {	 
	xsEnableRule("getPigSticker");
    }
	if (cMyCiv == cCivOdin)		
	{	
	xsEnableRule("getLoneWanderer");
    }
	if (cMyCiv == cCivLoki)
    {
	xsEnableRule("getEyesInTheForest");
    }
	if (cMyCiv == cCivGaia)
    {	
	xsEnableRule("getChannels");
    }
	if (cMyCiv == cCivKronos)
    {	
	xsEnableRule("getFocus");
    }
	if (cMyCiv == cCivNuwa)
    {	
	xsEnableRule("getAcupuncture");
	xsEnableRule("buildGarden");
	xsEnableRule("ChooseGardenResource");	
    }	
	if (cMyCiv == cCivFuxi)
    {	
	xsEnableRule("getDomestication");
	xsEnableRule("buildGarden");
	xsEnableRule("ChooseGardenResource");	
    }	
	if (cMyCiv == cCivShennong)
    {	
	xsEnableRule("getWheelbarrow");
	xsEnableRule("buildGarden");
	xsEnableRule("ChooseGardenResource");
    }		
	   if ((cRandomMapName == "highland") || (cRandomMapName == "nomad"))
	{
	gWaterMap=true;
	xsEnableRule("fishing");
	if (ShowAiGenEcho == true) aiEcho("Fishing enabled for Nomad and Highland map");
	}
        if (cMyCiv == cCivHades)
            xsEnableRule("getVaultsOfErebus");

        if (cMyCiv == cCivPoseidon)
            xsEnableRule("getLordOfHorses");

            if (cMyCiv == cCivZeus)
            xsEnableRule("getOlympicParentage");
  


}	

	



// RULES

//==============================================================================
// buildGarden // Stolen from the Expansion. ):
//==============================================================================
rule buildGarden
   minInterval 22
   inactive
{
	if(cMyCulture != cCultureChinese)
	{
		xsDisableSelf();
		return;
	}

	int gardenProtoID = cUnitTypeGarden;
   //If we have any houses that are building, skip.
   if (kbUnitCount(cMyID, gardenProtoID, cUnitStateBuilding) > 0)
	  return;
   
	//If we already have gGardenBuildLimit gardens, we shouldn't build anymore.
   if (gGardenBuildLimit != -1)
   {
	  int numberOfGardens = kbUnitCount(cMyID, gardenProtoID, cUnitStateAliveOrBuilding);
	  if (numberOfGardens >= gGardenBuildLimit)
		 return;
   }
   //If we already have a garden plan active, skip.
   if (aiPlanGetIDByTypeAndVariableType(cPlanBuild, cBuildPlanBuildingTypeID, gardenProtoID) > -1)
	  return;

   //Over time, we will find out what areas are good and bad to build in.  Use that info here, because we want to protect houses.
	int planID = aiPlanCreate("BuildGarden", cPlanBuild);
   if (planID >= 0)
   {
	  aiPlanSetVariableInt(planID, cBuildPlanBuildingTypeID, 0, gardenProtoID);
	  aiPlanSetVariableBool(planID, cBuildPlanInfluenceAtBuilderPosition, 0, true);
	  aiPlanSetVariableFloat(planID, cBuildPlanInfluenceBuilderPositionValue, 0, 100.0);
	  aiPlanSetVariableFloat(planID, cBuildPlanInfluenceBuilderPositionDistance, 0, 5.0);
	  aiPlanSetVariableFloat(planID, cBuildPlanRandomBPValue, 0, 0.99);
	  aiPlanSetDesiredPriority(planID, 100);

		int builderTypeID = cUnitTypeVillagerChinese;

		aiPlanAddUnitType(planID, builderTypeID, 1, 1, 1);
	  aiPlanSetEscrowID(planID, cEconomyEscrowID);

	  vector backVector = kbBaseGetBackVector(cMyID, kbBaseGetMainID(cMyID));

	  float x = xsVectorGetX(backVector);
	  float z = xsVectorGetZ(backVector);
	  x = x * 40.0;
	  z = z * 40.0;

	  backVector = xsVectorSetX(backVector, x);
	  backVector = xsVectorSetZ(backVector, z);
	  backVector = xsVectorSetY(backVector, 0.0);
	  vector location = kbBaseGetLocation(cMyID, kbBaseGetMainID(cMyID));
	  int areaGroup1 = kbAreaGroupGetIDByPosition(location);   // Base area group
	  location = location + backVector;
	  int areaGroup2 = kbAreaGroupGetIDByPosition(location);   // Back vector area group
	  if (areaGroup1 != areaGroup2)
		 location = kbBaseGetLocation(cMyID, kbBaseGetMainID(cMyID));   // Reset to area center if back is in wrong area group

	  aiPlanSetVariableVector(planID, cBuildPlanInfluencePosition, 0, location);
	  aiPlanSetVariableFloat(planID, cBuildPlanInfluencePositionDistance, 0, 20.0);
	  aiPlanSetVariableFloat(planID, cBuildPlanInfluencePositionValue, 0, 1.0);
      aiPlanSetBaseID(planID, kbBaseGetMainID(cMyID));
	  aiPlanSetActive(planID);
   }
}

//==============================================================================
// Rule: ChooseGardenResource  // Redefined to fit this Ai better. (Reth)
//==============================================================================
rule ChooseGardenResource
minInterval 20
inactive
{
    float FoodSupply = kbResourceGet(cResourceFood);
    float WoodSupply = kbResourceGet(cResourceWood); 
	float GoldSupply = kbResourceGet(cResourceGold);
    float MyFavor = kbResourceGet(cResourceFavor); 
	
	int res  = cResourceGold;
	string resname = "Gold";
if (FoodSupply < 500)
	{
		res  = cResourceFood;
		resname = "Food";
	}	

	if (WoodSupply < 200 && FoodSupply > 500 && GoldSupply > WoodSupply)
	{
		res  = cResourceWood;
		resname = "Wood";
	}
	
if (GoldSupply < 400 && FoodSupply > 500 && WoodSupply > GoldSupply)
	{
		res  = cResourceGold;
		resname = "Gold";
	}

	if (MyFavor < 60 && FoodSupply > 600 && WoodSupply > 300 && GoldSupply > 600)
	{
		res  = cResourceFavor;
		resname = "Favor";
	}
	
	if (MyFavor < 30 && FoodSupply > 150)
	{
		res  = cResourceFavor;
		resname = "Favor";
	}
	
else if (FoodSupply > 600 && WoodSupply > 300 && GoldSupply > 400 && MyFavor > 60)
{	
    int choice = -1;
    choice = aiRandInt(3);     // 0-3
    
    switch(choice)
    {
        case 0:  // Food
        {
		res  = cResourceFood;
		resname = "Food";
        }
        case 1:  // Wood
        {
		res  = cResourceWood;
		resname = "Wood";
        }
        case 2:  // Gold
        {
		res  = cResourceGold;
		resname = "Gold";
        }	
}
}	
	if (ShowAiGenEcho == true)aiEcho("Setting gardens to: " + resname);
	kbSetGardenResource(res);
    }

//==============================================================================
// RULE ActivateRethOverridesAge 1-4
//==============================================================================
rule ActivateRethOverridesAge2
   minInterval 30
   active
{
    if (kbGetAge() > cAge1)
    {
		initRethlAge2();
		
		//CHINESE MINOR GOD SPECIFIC
        if (cMyCulture == cCultureChinese && kbGetTechStatus(cTechAge2Change) == cTechStatusActive)
        xsEnableRuleGroup("Change");
        if (cMyCulture == cCultureChinese && kbGetTechStatus(cTechAge2Huangdi) == cTechStatusActive)
        xsEnableRuleGroup("Huangdi");
        if (cMyCulture == cCultureChinese && kbGetTechStatus(cTechAge2Sunwukong) == cTechStatusActive)
        xsEnableRuleGroup("Sunwukong");
		
		//EGYPTIAN MINOR GOD SPECIFIC
        if (cMyCulture == cCultureEgyptian && kbGetTechStatus(cTechAge2Bast) == cTechStatusActive)
        xsEnableRuleGroup("Bast");
        if (cMyCulture == cCultureEgyptian && kbGetTechStatus(cTechAge2Ptah) == cTechStatusActive)
        xsEnableRuleGroup("Ptah");
        if (cMyCulture == cCultureEgyptian && kbGetTechStatus(cTechAge2Anubis) == cTechStatusActive)
        xsEnableRuleGroup("Anubis");
		
		//Norse MINOR GOD SPECIFIC
        if (cMyCulture == cCultureNorse && kbGetTechStatus(cTechAge2Forseti) == cTechStatusActive)
        xsEnableRuleGroup("Forseti");
        if (cMyCulture == cCultureNorse && kbGetTechStatus(cTechAge2Freyja) == cTechStatusActive)
        xsEnableRuleGroup("Freyja");
        if (cMyCulture == cCultureNorse && kbGetTechStatus(cTechAge2Heimdall) == cTechStatusActive)
        xsEnableRuleGroup("Heimdall");
		
		//Atlantean MINOR GOD SPECIFIC
        if (cMyCulture == cCultureAtlantean && kbGetTechStatus(cTechAge2Leto) == cTechStatusActive)
        xsEnableRuleGroup("Leto");
        if (cMyCulture == cCultureAtlantean && kbGetTechStatus(cTechAge2Prometheus) == cTechStatusActive)
        xsEnableRuleGroup("Prometheus");
        if (cMyCulture == cCultureAtlantean && kbGetTechStatus(cTechAge2Okeanus) == cTechStatusActive)
        xsEnableRuleGroup("Oceanus");
		
		if (cMyCulture == cCultureNorse)
		{
		aiPlanDestroy(gLandExplorePlanID2);
		xsDisableRule("startLandScouting");
		}
		if (cMyCulture == cCultureGreek)
		xsEnableRuleGroup("techsGreekMinorGodAge2");
		
		xsDisableSelf();
		
           
    }
}

rule ActivateRethOverridesAge3
   minInterval 30
   active
{
    if (kbGetAge() > cAge2)
    {
        //CHINESE MINOR GOD SPECIFIC
		if (cMyCulture == cCultureChinese && kbGetTechStatus(cTechAge3Dabogong) == cTechStatusActive)
        xsEnableRuleGroup("Dabogong");
        if (cMyCulture == cCultureChinese && kbGetTechStatus(cTechAge3Hebo) == cTechStatusActive)
        xsEnableRuleGroup("Hebo");
        if (cMyCulture == cCultureChinese && kbGetTechStatus(cTechAge3Zhongkui) == cTechStatusActive)
        xsEnableRuleGroup("Zhongkui");
		
        //EGYPTIAN MINOR GOD SPECIFIC
		if (cMyCulture == cCultureEgyptian && kbGetTechStatus(cTechAge3Nephthys) == cTechStatusActive)
        xsEnableRuleGroup("Nephthys");
        if (cMyCulture == cCultureEgyptian && kbGetTechStatus(cTechAge3Sekhmet) == cTechStatusActive)
        xsEnableRuleGroup("Sekhmet");
        if (cMyCulture == cCultureEgyptian && kbGetTechStatus(cTechAge3Hathor) == cTechStatusActive)
        xsEnableRuleGroup("Hathor");		
		
		//Norse MINOR GOD SPECIFIC
        if (cMyCulture == cCultureNorse && kbGetTechStatus(cTechAge3Skadi) == cTechStatusActive)
        xsEnableRuleGroup("Skadi");
        if (cMyCulture == cCultureNorse && kbGetTechStatus(cTechAge3Njord) == cTechStatusActive)
        xsEnableRuleGroup("Njord");
        if (cMyCulture == cCultureNorse && kbGetTechStatus(cTechAge3Bragi) == cTechStatusActive)
        xsEnableRuleGroup("Bragi");
		
		//Atlantean MINOR GOD SPECIFIC
        if (cMyCulture == cCultureAtlantean && kbGetTechStatus(cTechAge3Rheia) == cTechStatusActive)
        xsEnableRuleGroup("Rheia");
        if (cMyCulture == cCultureAtlantean && kbGetTechStatus(cTechAge3Theia) == cTechStatusActive)
        xsEnableRuleGroup("Theia");
        if (cMyCulture == cCultureAtlantean && kbGetTechStatus(cTechAge3Hyperion) == cTechStatusActive)
        xsEnableRuleGroup("Hyperion");		
		
		if (cMyCulture == cCultureGreek)
		xsEnableRuleGroup("techsGreekMinorGodAge3");

		xsDisableSelf();
           
    }
}

rule ActivateRethOverridesAge4
   minInterval 30
   active
{
    if (kbGetAge() > cAge3)
    {
	
        //CHINESE MINOR GOD SPECIFIC	
	    if (cMyCulture == cCultureChinese && kbGetTechStatus(cTechAge4Aokuang) == cTechStatusActive)
        xsEnableRuleGroup("Aokuang");
        if (cMyCulture == cCultureChinese && kbGetTechStatus(cTechAge4Xiwangmu) == cTechStatusActive)
        xsEnableRuleGroup("Xiwangmu");
        if (cMyCulture == cCultureChinese && kbGetTechStatus(cTechAge4Chongli) == cTechStatusActive)
        xsEnableRuleGroup("Chongli");
		
        //Egyptian MINOR GOD SPECIFIC	
	    if (cMyCulture == cCultureEgyptian && kbGetTechStatus(cTechAge4Horus) == cTechStatusActive)
        xsEnableRuleGroup("Horus");
        if (cMyCulture == cCultureEgyptian && kbGetTechStatus(cTechAge4Osiris) == cTechStatusActive)
        xsEnableRuleGroup("Osiris");
        if (cMyCulture == cCultureEgyptian && kbGetTechStatus(cTechAge4Thoth) == cTechStatusActive)
        xsEnableRuleGroup("Thoth");	
		
		
		//Norse MINOR GOD SPECIFIC
        if (cMyCulture == cCultureNorse && kbGetTechStatus(cTechAge4Tyr) == cTechStatusActive)
        xsEnableRuleGroup("Tyr");
        if (cMyCulture == cCultureNorse && kbGetTechStatus(cTechAge4Baldr) == cTechStatusActive)
        xsEnableRuleGroup("Baldr");
        if (cMyCulture == cCultureNorse && kbGetTechStatus(cTechAge4Hel) == cTechStatusActive)
        xsEnableRuleGroup("Hel");
		
		//Atlantean MINOR GOD SPECIFIC
        if (cMyCulture == cCultureAtlantean && kbGetTechStatus(cTechAge4Atlas) == cTechStatusActive)
        xsEnableRuleGroup("Atlas");
        if (cMyCulture == cCultureAtlantean && kbGetTechStatus(cTechAge4Helios) == cTechStatusActive)
        xsEnableRuleGroup("Helios");
        if (cMyCulture == cCultureAtlantean && kbGetTechStatus(cTechAge4Hekate) == cTechStatusActive)
        xsEnableRuleGroup("Hekate");				
		if (cMyCulture == cCultureGreek)
		xsEnableRuleGroup("techsGreekMinorGodAge4");
	
		
		xsDisableSelf();
           
    }
}

//==============================================================================
rule StartingBoatFailsafe  // for vinlandsaga and team migration where ships may fail to spawn, will also scout the mainland.
minInterval 5
inactive
{
 vector HomeBase = kbBaseGetLocation(cMyID, kbBaseGetMainID(cMyID));
 int boats = kbUnitCount(cMyID, cUnitTypeTransport, cUnitStateAlive);
 static int TransportUnit=-1;
 static bool CheckCenter = false;
 static bool Spawned = false;
 if ((boats <= 0) && (Spawned == false))
 {
 aiUnitCreateCheat(cMyID, cUnitTypeRoc, HomeBase, "Spawn backup roc", 1);
 Spawned = true;
 return;
 }
 if ((CheckCenter == false) && (boats >= 1))
 {
 int transportPUID=cUnitTypeTransport;
 vector nearCenter = kbGetMapCenter();
        TransportUnit = findUnit(transportPUID);
        nearCenter = kbGetMapCenter();
        nearCenter = (nearCenter + kbBaseGetLocation(cMyID, kbBaseGetMainID(cMyID))) / 2.0;
        nearCenter = (nearCenter + kbGetMapCenter()) / 2.0;   
        aiTaskUnitMove(TransportUnit, nearCenter);
		CheckCenter = true;
		}	
 
 xsDisableSelf();
 
}


// KOTH COMPLEX both Land and Water
// *****************************************************************************
// configQueryRelation
//
// Sets up all the non-default parameters so you can config a query on a single call.
// Query must be created prior to calling, and the results reset and the query executed
// after the call.
// Unlike configQuery(), this uses the PLAYER RELATION rather than the player number
// ***************************************************************************** 
bool  configQueryRelation2( int queryID = -1, int unitType = -1, int action = -1, int state = -1, int playerRelation = -1, 
                            vector center = cInvalidVector, bool sort = false, float radius = -1, bool seeable = false, int areaID = -1 )
{
    //if (ShowAiEcho == true) aiEcho("configQueryRelation:");

    if ( queryID == -1)
    {
        if (ShowAiGenEcho == true) aiEcho("Invalid query ID");
        return(false);
    }

    if (playerRelation != -1)
        kbUnitQuerySetPlayerRelation(queryID, playerRelation);
   
    if (unitType != -1)
        kbUnitQuerySetUnitType(queryID, unitType);

    if (action != -1)
        kbUnitQuerySetActionType(queryID, action);

    if (state != -1)
        kbUnitQuerySetState(queryID, state);

    if (equal(center, cInvalidVector) == false)
    {
        kbUnitQuerySetPosition(queryID, center);
        if (sort == true)
            kbUnitQuerySetAscendingSort(queryID, true);
        if (radius != -1)
            kbUnitQuerySetMaximumDistance(queryID, radius);
    }

    if (areaID != -1)
        kbUnitQuerySetAreaID(queryID, areaID);
   
    if (seeable == true)
        kbUnitQuerySetSeeableOnly(queryID, true);
    
    return(true);
}
//==============================================================================
// getNumUnitsByRel // Returns the number of units of the given playerRelation (within the radius of a position)
//==============================================================================
int getNumUnitsByRel(int unitTypeID = -1, int state = cUnitStateAlive, int action = -1, int playerRelation = cPlayerRelationSelf,
                        vector center = cInvalidVector, float radius = -1, bool seeable = false, int areaID = -1)
{
    //if (ShowAiEcho == true) aiEcho("getNumUnitsByRel:");
    
    int count = -1;
    static int unitQueryID = -1;

    //If we don't have the query yet, create one.
    if (unitQueryID < 0)
        unitQueryID = kbUnitQueryCreate("getNumUnitsByRelQuery");
   
    //Define a query to get all matching units
    if (unitQueryID != -1)
        configQueryRelation2(unitQueryID, unitTypeID, action, state, playerRelation, center, false, radius, seeable, areaID);
    else
        return(-1);

    kbUnitQueryResetResults(unitQueryID);
	int numberFound = kbUnitQueryExecute(unitQueryID);
    return(numberFound);
}
// *****************************************************************************
// configQuery
//
// Sets up all the non-default parameters so you can config a query on a single call.
// Query must be created prior to calling, and the results reset and the query executed
// after the call.
// ***************************************************************************** 
bool  configQuery2( int queryID = -1, int unitType = -1, int action = -1, int state = -1, int player = -1, 
                    vector center = cInvalidVector, bool sort = false, float radius = -1, bool seeable = false, int areaID = -1 )
{
    //if (ShowAiEcho == true) aiEcho("configQuery:");    

    if ( queryID == -1)
    {
        if (ShowAiGenEcho == true) aiEcho("Invalid query ID");
        return(false);
    }

    if (player != -1)
        kbUnitQuerySetPlayerID(queryID, player);
   
    if (unitType != -1)
        kbUnitQuerySetUnitType(queryID, unitType);

    if (action != -1)
        kbUnitQuerySetActionType(queryID, action);

    if (state != -1)
        kbUnitQuerySetState(queryID, state);

    if (equal(center, cInvalidVector) == false)
    {
        kbUnitQuerySetPosition(queryID, center);
        if (sort == true)
            kbUnitQuerySetAscendingSort(queryID, true);
        if (radius != -1)
            kbUnitQuerySetMaximumDistance(queryID, radius);
    }

    if (areaID != -1)
        kbUnitQuerySetAreaID(queryID, areaID);
   
    if (seeable == true)
        kbUnitQuerySetSeeableOnly(queryID, true);
        
    return(true);
}
//==============================================================================
// getNumUnits  // Returns the number of units of the given playerID (within the radius of a position)
//==============================================================================
int getNumUnits(int unitTypeID = -1, int state = cUnitStateAlive, int action = -1, 
                 int playerID = cMyID, vector center = cInvalidVector, float radius = -1, bool seeable = false, int areaID = -1)
{
    //if (ShowAiEcho == true) aiEcho("getNumUnits:");

    int count = -1;
    static int unitQueryID = -1;

    //If we don't have the query yet, create one.
    if (unitQueryID < 0)
        unitQueryID = kbUnitQueryCreate("getNumUnitsQuery");
   
    //Define a query to get all matching units
    if (unitQueryID != -1)
        configQuery2(unitQueryID, unitTypeID, action, state, playerID, center, false, radius, seeable, areaID);
    else
        return(-1);

    kbUnitQueryResetResults(unitQueryID);
	int numberFound = kbUnitQueryExecute(unitQueryID);
    return(numberFound);
}
//==============================================================================
// ClaimKoth
// @param where: the position of the Vault to claim
// @param baseID: the base to get the units from. If left unspecified, the
//                funct will try to find units
//==============================================================================
void ClaimKoth(vector where=cInvalidVector, int baseToUseID=-1)
{
    if (ShowAiGenEcho == true) aiEcho("claimSettlement:");    
	
    int baseID=-1;
    int startAreaID=-1;
    static vector KOTHPlace = cInvalidVector;
    KOTHPlace = kbUnitGetPosition(gKOTHPlentyUnitID);	
	int NumSelf = getNumUnits(cUnitTypeLogicalTypeLandMilitary, cUnitStateAlive, -1, cMyID, KOTHPlace, 25.0);
    
    int transportPUID=kbTechTreeGetUnitIDTypeByFunctionIndex(cUnitFunctionWaterTransport, 0);
	
	if (cMyCulture == cCultureGreek)
	transportPUID = cUnitTypeTransportShipGreek;
	else if (cMyCulture == cCultureNorse)
	transportPUID = cUnitTypeTransportShipNorse;
	else if (cMyCulture == cCultureAtlantean)
	transportPUID = cUnitTypeTransportShipAtlantean;
	else if (cMyCulture == cCultureChinese)
	transportPUID = cUnitTypeTransportShipChinese;

    int BoatToUse=kbUnitCount(cMyID, transportPUID, cUnitStateAlive);
	
    if (BoatToUse <= 0)
    {
    xsEnableRule("KOTHMonitor");
	if (ShowAiGenEcho == true) aiEcho("No ships, destroying plans!");
	DestroyTransportPlan = true;
	return;
    }
	
	
	int IdleTransportPlans = aiGetNumberIdlePlans(cPlanTransport);
	if (IdleTransportPlans >= 1)
	{
	DestroyHTransportPlan = true;
	xsEnableRule("KOTHMonitor");
    }

    // user specified a base, use it!
    if ( baseToUseID != -1 )
    {
        baseID = baseToUseID;
    }
    
    

    if ( baseID == -1 ) // no base found, use mainbase!
    {
        baseID = kbBaseGetMainID(cMyID);
    }

    vector baseLoc = kbBaseGetLocation(cMyID, baseID); 
    startAreaID = kbAreaGetIDByPosition(baseLoc);
    
	
	int ActiveTransportPlans = aiPlanGetNumber(cPlanTransport, -1, true);
	//aiEcho("ActiveTransportPlans:  "+ActiveTransportPlans+" ");
    if (ActiveTransportPlans >= 1)
	{
     if (ShowAiGenEcho == true) aiEcho("I have 1 active transport plan, returning.");
	 return;
    }
	// prepare other units too
	
	
	if (KoTHOkNow == true)
    {
    KOTHTHomeTransportPlan=createTransportPlan("GO HOME AGAIN", kbAreaGetIDByPosition(where), startAreaID,
                                                      false, transportPUID, 97, kbAreaGetIDByPosition(where));
	aiPlanAddUnitType(KOTHTHomeTransportPlan, cUnitTypeHumanSoldier, 3, 6, 10);
	//aiPlanAddUnitType(KOTHTHomeTransportPlan, HeroType, 1, 1, 4);
    KoTHOkNow = false;
	if (ShowAiGenEcho == true) aiEcho("GO HOME TRIGGERED");
    return;													  
    }
    else 
	{
    KOTHTransportPlan=createTransportPlan("TRANSPORT TO KOTH VAULT", startAreaID, kbAreaGetIDByPosition(where), false, transportPUID, 80, baseID);

    // add the units to the transport plan

	
	int numAvailableUnits = kbUnitCount(cMyID, cUnitTypeHumanSoldier, cUnitStateAlive);
    numAvailableUnits = numAvailableUnits-NumSelf;
	
	
	if (kbGetTechStatus(cTechEnclosedDeck) < cTechStatusActive)
	aiPlanAddUnitType(KOTHTransportPlan, cUnitTypeHumanSoldier, 6, 10, 10);
	else if (numAvailableUnits < 15 && kbGetTechStatus(cTechEnclosedDeck) == cTechStatusActive)
    aiPlanAddUnitType(KOTHTransportPlan, cUnitTypeHumanSoldier, 10, 12, 15);
	else aiPlanAddUnitType(KOTHTransportPlan, cUnitTypeHumanSoldier, 12, 16, 20);
	
	
	if (ShowAiGenEcho == true) aiEcho("GO TO VAULT TRIGGERED");
	}
    //Done
	// Never use cUnitTypeLogicalTypeLandMilitary, Stymphalian Birds and other birds in general, are considered a land unit and will crash the game.
	}

//==============================================================================
rule GetKOTHVault
    minInterval 1 //starts in cAge3
    inactive
{
    if (ShowAiGenEcho == true) aiEcho("FindVault:");
    static bool GetKothVRun = false;
    static vector KOTHPlace = cInvalidVector;
	if (GetKothVRun == false)
	{
    //Find other islands area group.
	    int gTCUnitID = -1;
	    int TCunitQueryID = kbUnitQueryCreate("findPlentyVault");
        kbUnitQuerySetPlayerRelation(TCunitQueryID, cPlayerRelationAny);
        kbUnitQuerySetUnitType(TCunitQueryID, cUnitTypePlentyVaultKOTH);
        kbUnitQuerySetState(TCunitQueryID, cUnitStateAny);
        kbUnitQueryResetResults(TCunitQueryID);
        int numberFound = kbUnitQueryExecute(TCunitQueryID);
        gKOTHPlentyUnitID = kbUnitQueryGetResult(TCunitQueryID, 0);

		
		KOTHPlace = kbUnitGetPosition(gKOTHPlentyUnitID);
		GetKothVRun = true;
		}



    //Create transport plan to get units to the other island
	vector there = KOTHPlace;
    ClaimKoth(there);
	xsDisableSelf();
}

//==============================================================================
rule getKingOfTheHillVault
minInterval 10
inactive
{
               static bool LandActive = false;
			   static bool LandNeedReCalculation = false;
               static bool WaterVersion = false; 
               if (WaterVersion == true)
               xsSetRuleMinIntervalSelf(30+aiRandInt(12));
			   else
			   xsSetRuleMinIntervalSelf(20+aiRandInt(12));
			   
               static vector KOTHPlace = cInvalidVector;
               KOTHPlace = kbUnitGetPosition(gKOTHPlentyUnitID);
			   KOTHGlobal = kbUnitGetPosition(gKOTHPlentyUnitID);
               int NumEnemy = getNumUnitsByRel(cUnitTypeLogicalTypeLandMilitary, cUnitStateAlive, -1, cPlayerRelationEnemy, KOTHPlace, 30.0, true);
               //int NumAllies = getNumUnitsByRel(cUnitTypeLogicalTypeLandMilitary, cUnitStateAlive, -1, cPlayerRelationAlly, KOTHPlace, 25.0, true);
               int NumSelf = getNumUnits(cUnitTypeLogicalTypeLandMilitary, cUnitStateAlive, -1, cMyID, KOTHPlace, 20.0);

			    //aiEcho("ENEMIES:  "+NumEnemy+" ");
                //aiEcho("ALLIES:  "+NumAllies+" ");
                //aiEcho("SELF:  "+NumSelf+" ");
				
			   
			   
			   if (WaterVersion == false)
			   {
			   int numfish = kbUnitCount(0, cUnitTypeFish, cUnitStateAlive);
			   if (numfish > 1)
			   {
			   WaterVersion = true;
			   if (ShowAiGenEcho == true) aiEcho("Water version of KOTH detected.");
			   DestroyKOTHLandPlan = true;  // never again!
			   xsEnableRule("KOTHMonitor");
			   return;
               } 
               }			   
                int numAvailableUnits = kbUnitCount(cMyID, cUnitTypeLogicalTypeLandMilitary, cUnitStateAlive);
				if (WaterVersion == true)
				numAvailableUnits = kbUnitCount(cMyID, cUnitTypeHumanSoldier, cUnitStateAlive);
				
				if (WaterVersion == true)
				numAvailableUnits = numAvailableUnits-NumSelf;
				else numAvailableUnits = numAvailableUnits;
                
				if (WaterVersion == true)
				{
				if (numAvailableUnits < 6 && kbGetPop() <= 39 || kbGetAge() < cAge2)
                return;
				}
				
				if (WaterVersion == false)
				{
				if ((numAvailableUnits < 7 && kbGetPop() <= 39) || (kbGetAge() < cAge2) || (numAvailableUnits < 11 && (xsGetTime() > 17*60*1000)))
                return;
				}	  
					if (LandNeedReCalculation == true && WaterVersion == false)
					{
					
			        if (LandActive == false)
					{
					    gDefendPlentyVault = aiPlanCreate("KOTH VAULT DEFEND", cPlanDefend);         // Uses "enemy" plan for allies, too.
                
                        aiPlanAddUnitType(gDefendPlentyVault, cUnitTypeLogicalTypeLandMilitary, numAvailableUnits * 0.7, numAvailableUnits * 0.8, numAvailableUnits * 0.85);    // Most mil units.

                        aiPlanSetDesiredPriority(gDefendPlentyVault, 70);                       // prio
                        aiPlanSetVariableVector(gDefendPlentyVault, cDefendPlanDefendPoint, 0, KOTHPlace);
                        aiPlanSetVariableFloat(gDefendPlentyVault, cDefendPlanEngageRange, 0, 30.0);
                        aiPlanSetVariableBool(gDefendPlentyVault, cDefendPlanPatrol, 0, false);

                        aiPlanSetVariableFloat(gDefendPlentyVault, cDefendPlanGatherDistance, 0, 10.0);
                        aiPlanSetInitialPosition(gDefendPlentyVault, KOTHPlace);
                        aiPlanSetUnitStance(gDefendPlentyVault, cUnitStanceDefensive);

                        aiPlanSetVariableInt(gDefendPlentyVault, cDefendPlanRefreshFrequency, 0, 10);

                        aiPlanSetNumberVariableValues(gDefendPlentyVault, cDefendPlanAttackTypeID, 2, true);
                        aiPlanSetVariableInt(gDefendPlentyVault, cDefendPlanAttackTypeID, 0, cUnitTypeMilitary);
                        aiPlanSetVariableInt(gDefendPlentyVault, cDefendPlanAttackTypeID, 1, cUnitTypeMilitaryBuilding);
                        //keepUnitsWithinRange(gDefendPlentyVault, KOTHPlace);
                        aiPlanSetNoMoreUnits(gDefendPlentyVault, false);
                        aiPlanSetActive(gDefendPlentyVault);
						KOTHStopRefill = true;
						xsEnableRule("KOTHMonitor"); // lock the first wave
                        LandNeedReCalculation = false;
						
						LandActive = true; // active, will add more units below.
						return;
						}
						aiPlanSetNoMoreUnits(gDefendPlentyVault, false);
						aiPlanAddUnitType(gDefendPlentyVault, cUnitTypeLogicalTypeLandMilitary, numAvailableUnits * 0.8, numAvailableUnits * 0.85, numAvailableUnits * 0.9);    // Most mil units.
						LandNeedReCalculation = false;
						KOTHStopRefill = true;
						xsEnableRule("KOTHMonitor");
						//keepUnitsWithinRange(gDefendPlentyVault, KOTHPlace);
						return;
						}
			   
			   

               
			   if (NumEnemy + 15 > NumSelf && WaterVersion == false)
		       {
			   LandNeedReCalculation = true;
			   xsSetRuleMinIntervalSelf(2);
			   //aiPlanDestroy(gDefendPlentyVault);  // restarting plan
			   return;
				}
				
				if (WaterVersion == false)
				return;  // will this skip the code below?
				 
				 if (NumSelf > NumEnemy + 14 && WaterVersion == true)
				 SendBackCount = SendBackCount+1;
				 
				 if (SendBackCount > 6)
				 {
				 xsEnableRule("GetKOTHVault");
				 KoTHOkNow = true;
				 SendBackCount = 0;
                 return;				 
				 }
				 	 
				 
                 if (14 > NumSelf && WaterVersion == true)
                 {
	             xsEnableRule("GetKOTHVault");
				 LandNeedReCalculation = false;
				 xsEnableRule("GatherAroundKOTH");
				 return;
	             }


	   // done
	  }

//==============================================================================	  
rule GatherAroundKOTH  // launches a defend plan on the island.
   minInterval 22
   inactive
{
   static vector KOTHPlace = cInvalidVector;
   KOTHPlace = kbUnitGetPosition(gKOTHPlentyUnitID);
   static bool PlanActive = false;   
   int NumSelf = getNumUnits(cUnitTypeLogicalTypeLandMilitary, cUnitStateAlive, -1, cMyID, KOTHPlace, 30.0);
   
   if (NumSelf <= 0)
   return;
	   
		if (PlanActive == false)
		{
		if (ShowAiGenEcho == true) aiEcho("I was here!");
		gDefendPlentyVaultWater = aiPlanCreate("KOTH WATER VAULT DEFEND", cPlanDefend);
                
        

        aiPlanSetDesiredPriority(gDefendPlentyVaultWater, 90);                       // prio
        aiPlanSetVariableVector(gDefendPlentyVaultWater, cDefendPlanDefendPoint, 0, KOTHPlace);
        aiPlanSetVariableFloat(gDefendPlentyVaultWater, cDefendPlanEngageRange, 0, 25.0);
        aiPlanSetVariableBool(gDefendPlentyVaultWater, cDefendPlanPatrol, 0, false);

        aiPlanSetVariableFloat(gDefendPlentyVaultWater, cDefendPlanGatherDistance, 0, 12.0);
        aiPlanSetInitialPosition(gDefendPlentyVaultWater, KOTHPlace);
        aiPlanSetUnitStance(gDefendPlentyVaultWater, cUnitStanceDefensive);

        aiPlanSetVariableInt(gDefendPlentyVaultWater, cDefendPlanRefreshFrequency, 0, 10);

        aiPlanSetNumberVariableValues(gDefendPlentyVaultWater, cDefendPlanAttackTypeID, 2, true);
        aiPlanSetVariableInt(gDefendPlentyVaultWater, cDefendPlanAttackTypeID, 0, cUnitTypeMilitary);
        aiPlanSetVariableInt(gDefendPlentyVaultWater, cDefendPlanAttackTypeID, 1, cUnitTypeMilitaryBuilding);
        //keepUnitsWithinRange(gDefendPlentyVaultWater, KOTHPlace);

        aiPlanSetActive(gDefendPlentyVaultWater);
		PlanActive = true;
		}
		if (PlanActive == true)
		{
		aiPlanAddUnitType(gDefendPlentyVaultWater, cUnitTypeLogicalTypeLandMilitary, NumSelf, NumSelf, NumSelf);
		}
		
		
	   }

//==============================================================================
rule KOTHMonitor
minInterval 2
inactive
{
    xsSetRuleMinIntervalSelf(2);
	
    if (KOTHStopRefill == true)
	{
	 xsSetRuleMinIntervalSelf(5); // give some extra time to fetch units.
	 aiPlanSetNoMoreUnits(gDefendPlentyVault, true);
	 xsDisableSelf();
	// keepUnitsWithinRange(gDefendPlentyVault, KOTHGlobal);
	 KOTHStopRefill = false;
	 return;
	}
    	
    if (DestroyTransportPlan == true)
	{
	aiPlanDestroyByName("TRANSPORT TO KOTH VAULT");
	aiPlanDestroyByName("GO HOME AGAIN");
    aiPlanDestroy(KOTHTransportPlan);
    DestroyTransportPlan = false;	
	}
	else if (DestroyHTransportPlan == true)
	{
	aiPlanDestroyByName("GO HOME AGAIN");	
	aiPlanDestroy(KOTHTHomeTransportPlan);
	aiPlanDestroyByName("TRANSPORT TO KOTH VAULT");  // just destroy both, as they seem to get stuck.
	aiPlanDestroy(KOTHTransportPlan);
	DestroyHTransportPlan = false;
	}
	else if (DestroyKOTHLandPlan == true)
	{
	aiPlanDestroyByName("KOTH VAULT DEFEND");	
	aiPlanDestroy(gDefendPlentyVault);
	DestroyKOTHLandPlan = false;
	}
    xsDisableSelf();
	
}
// KOTH COMPLEX END